Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
ezpRestOauthAuthenticationStyle Class Reference
Inheritance diagram for ezpRestOauthAuthenticationStyle:

## Public Member Functions
| setup (ezcMvcRequest $request)
| authenticate (ezcAuthentication $auth, ezcMvcRequest $request)
| processLoginRequired (ezcMvcResult $res, $reasons, $errorMap=null)
Public Member Functions inherited from ezpRestAuthenticationStyle
| __construct ()
| setUser (eZUser $user)
| getUser ()
Public Member Functions inherited from ezpRestAuthenticationStyleInterface
| getUser ()
| setUser (eZUser $user)

## Additional Inherited Members
Protected Attributes inherited from ezpRestAuthenticationStyle
| $user
| $prefix

## Detailed Description

Definition at line 12 of file auth/styles/oauth.php.

## Member Function Documentation

## ◆ authenticate()

ezpRestOauthAuthenticationStyle::authenticate | ( | ezcAuthentication | $auth,
|  | ezcMvcRequest | $request
| ) |  |

Method to be run inside the runRequestFilters hook inside MvcTools.

This method should take care of seting up proper redirections to MvcTools

Returns
  eZUser|ezcMvcInternalRedirect

Implements ezpRestAuthenticationStyleInterface.

Definition at line 31 of file auth/styles/oauth.php.

References $status, ezpOauthFilter\$tokenInfo, and ezpRestAuthenticationStyle\$user.

## ◆ processLoginRequired()

ezpRestOauthAuthenticationStyle::processLoginRequired | ( | ezcMvcResult | $res,
|  |  | $reasons,
|  |  | $errorMap = `null`
| ) |  |

Method extracted from MvcAuthenticationTiein

Checks the status from the authentication run and adds the reasons as variable to the $result.

This method uses the information that is set by the runAuthRequiredFilter() filter to generate an user-readable text of the found $reasons and sets these as the variable ezcAuth_reasons in the $result. You can supply your own mapping from status codes to messages, but a default is provided. Please refer to the Authentication tutorial for information about status codes.

Parameters

  ezcMvcResult | $result |
  | array(string) | $reasons
  | array(string=>array(int=>string) | $errorMap

Definition at line 80 of file auth/styles/oauth.php.

References $res, ezpOauthFilter\STATUS_TOKEN_EXPIRED, ezpOauthFilter\STATUS_TOKEN_INSUFFICIENT_SCOPE, and ezpOauthFilter\STATUS_TOKEN_INVALID.

## ◆ setup()

ezpRestOauthAuthenticationStyle::setup | ( | ezcMvcRequest | $request | ) |

Setting up the state to allow for later authentcation checks.

Parameters

  ezcMvcRequest | $request |

Returns
  void

Implements ezpRestAuthenticationStyleInterface.

Definition at line 15 of file auth/styles/oauth.php.

References ezpOauthUtility\getToken().

The documentation for this class was generated from the following file:

- auth/styles/oauth.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.